Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1278829 - CVE-2015-5214 libreoffice: Bookmarks in DOC documents are insufficiently checked causing memory corruption [fedora-all]
Summary: CVE-2015-5214 libreoffice: Bookmarks in DOC documents are insufficiently chec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 22
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-5214
TreeView+ depends on / blocked
 
Reported: 2015-11-06 13:59 UTC by Adam Mariš
Modified: 2016-07-19 16:13 UTC (History)
6 users (show)

Fixed In Version: libreoffice-4.3.7.2-13.fc21
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 16:13:57 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Adam Mariš 2015-11-06 13:59:08 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Adam Mariš 2015-11-06 13:59:15 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1278827,1278829

# Description of your update
notes=Security fix for CVE-2015-5214

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1278827,1278829

Comment 2 Caolan McNamara 2015-11-06 16:40:14 UTC
up to date f22 is unaffected, f20 is eol, so only f21 affected

Comment 3 Fedora Update System 2015-11-08 14:21:20 UTC
libreoffice-4.3.7.2-13.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f92fd549f1

Comment 4 Fedora Update System 2015-11-09 02:20:18 UTC
libreoffice-4.3.7.2-13.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libreoffice'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f92fd549f1


Note You need to log in before you can comment on or make changes to this bug.